## ros-indigo-jsk-baxter-desktop 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jsk_baxter_desktop)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  jsk_baxter_startup
  rviz
)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

################################################
## Declare ROS messages, services and actions ##
################################################

## To declare and build messages, services or actions from within this
## package, follow these steps:
## * Let MSG_DEP_SET be the set of packages whose message types you use in
##   your messages/services/actions (e.g. std_msgs, actionlib_msgs, ...).
## * In the file package.xml:
##   * add a build_depend and a run_depend tag for each package in MSG_DEP_SET
##   * If MSG_DEP_SET isn't empty the following dependencies might have been
##     pulled in transitively but can be declared for certainty nonetheless:
##     * add a build_depend tag for "message_generation"
##     * add a run_depend tag for "message_runtime"
## * In this file (CMakeLists.txt):
##   * add "message_generation" and every package in MSG_DEP_SET to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * add "message_runtime" and every package in MSG_DEP_SET to
##     catkin_package(CATKIN_DEPENDS ...)
##   * uncomment the add_*_files sections below as needed
##     and list every .msg/.srv/.action file to be processed
##   * uncomment the generate_messages entry below
##   * add every package in MSG_DEP_SET to generate_messages(DEPENDENCIES ...)

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate actions in the 'action' folder
# add_action_files(
#   FILES
#   Action1.action
#   Action2.action
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES
#   std_msgs  # Or other packages containing msgs
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES jsk_baxter_desktop
#  CATKIN_DEPENDS jsk_baxter_startup rviz
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include)
include_directories(
  ${catkin_INCLUDE_DIRS}
)

## Declare a cpp library
# add_library(jsk_baxter_desktop
#   src/${PROJECT_NAME}/jsk_baxter_desktop.cpp
# )

## Declare a cpp executable
# add_executable(jsk_baxter_desktop_node src/jsk_baxter_desktop_node.cpp)

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
# add_dependencies(jsk_baxter_desktop_node jsk_baxter_desktop_generate_messages_cpp)

## Specify libraries to link a library or executable target against
# target_link_libraries(jsk_baxter_desktop_node
#   ${catkin_LIBRARIES}
# )

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation
# install(TARGETS jsk_baxter_desktop jsk_baxter_desktop_node
#   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_jsk_baxter_desktop.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

install(DIRECTORY desktop_shortcut_template 	icons scripts
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)

install(FILES baxter_servo_stop.desktop.in DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-jsk-baxter-desktop (1.1.0-1trusty) trusty; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Sat, 15 Jul 2017 15:00:00 -0000

ros-indigo-jsk-baxter-desktop (1.0.9-1trusty) trusty; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Tue, 08 Nov 2016 15:00:00 -0000

ros-indigo-jsk-baxter-desktop (1.0.8-1trusty) trusty; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Mon, 07 Nov 2016 15:00:00 -0000

ros-indigo-jsk-baxter-desktop (1.0.7-1trusty) trusty; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Tue, 01 Nov 2016 15:00:00 -0000

ros-indigo-jsk-baxter-desktop (1.0.6-1trusty) trusty; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Thu, 16 Jun 2016 15:00:00 -0000

ros-indigo-jsk-baxter-desktop (1.0.5-1trusty) trusty; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Sun, 17 Apr 2016 15:00:00 -0000

ros-indigo-jsk-baxter-desktop (1.0.4-1trusty) trusty; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Sun, 20 Mar 2016 15:00:00 -0000

ros-indigo-jsk-baxter-desktop (1.0.3-1trusty) trusty; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Fri, 04 Mar 2016 15:00:00 -0000

ros-indigo-jsk-baxter-desktop (1.0.2-1trusty) trusty; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Sat, 13 Feb 2016 15:00:00 -0000

ros-indigo-jsk-baxter-desktop (1.0.1-1trusty) trusty; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Wed, 18 Nov 2015 15:00:00 -0000

ros-indigo-jsk-baxter-desktop (1.0.0-1trusty) trusty; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Thu, 05 Nov 2015 15:00:00 -0000

ros-indigo-jsk-baxter-desktop (0.0.13-1trusty) trusty; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Thu, 05 Nov 2015 15:00:00 -0000

ros-indigo-jsk-baxter-desktop (0.0.12-1trusty) trusty; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Thu, 05 Nov 2015 15:00:00 -0000

ros-indigo-jsk-baxter-desktop (0.0.11-1trusty) trusty; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Mon, 31 Aug 2015 15:00:00 -0000

ros-indigo-jsk-baxter-desktop (0.0.10-1trusty) trusty; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Sat, 15 Aug 2015 15:00:00 -0000

ros-indigo-jsk-baxter-desktop (0.0.9-1trusty) trusty; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Sun, 02 Aug 2015 15:00:00 -0000

ros-indigo-jsk-baxter-desktop (0.0.8-1trusty) trusty; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Wed, 15 Jul 2015 15:00:00 -0000

ros-indigo-jsk-baxter-desktop (0.0.7-1trusty) trusty; urgency=high

  * [jsk_baxter_desktop] add ROS_DISTRO param to desktop shortcuts
  * Contributors: Kentaro Wada

 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Wed, 10 Jun 2015 15:00:00 -0000

ros-indigo-jsk-baxter-desktop (0.0.6-1trusty) trusty; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Thu, 09 Apr 2015 15:00:00 -0000

ros-indigo-jsk-baxter-desktop (0.0.5-1trusty) trusty; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Tue, 07 Apr 2015 15:00:00 -0000

ros-indigo-jsk-baxter-desktop (0.0.4-1trusty) trusty; urgency=high



 -- inagaki <inagaki@todo.todo>  Thu, 29 Jan 2015 15:00:00 -0000

ros-indigo-jsk-baxter-desktop (0.0.3-1trusty) trusty; urgency=high

  * change to pure catkin package

 -- inagaki <inagaki@todo.todo>  Thu, 08 Jan 2015 15:00:00 -0000

ros-indigo-jsk-baxter-desktop (0.0.2-1trusty) trusty; urgency=high

  * add install commands to cmake
  * Contributors: Kei Okada

 -- inagaki <inagaki@todo.todo>  Wed, 07 Jan 2015 15:00:00 -0000

ros-indigo-jsk-baxter-desktop (0.0.1-1trusty) trusty; urgency=high

  * repair desktop icon
  * add jsk baxter desktop
  * Contributors: Yuto Inagaki

 -- inagaki <inagaki@todo.todo>  Wed, 24 Dec 2014 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-jsk-baxter-desktop
Section: misc
Priority: extra
Maintainer: Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-jsk-baxter-startup, ros-indigo-rqt-robot-monitor, ros-indigo-rviz
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-jsk-baxter-desktop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-jsk-baxter-startup, ros-indigo-rqt-robot-monitor, ros-indigo-rviz
Description: The jsk_baxter_desktop package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-jsk-baxter-desktop//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
